Multi Gnome Terminal User's Guide: Multi Gnome Terminal 1.5.0
Prev |  | Next

# 9. Command line options

The following options can be used to start `Multi Gnome Terminal`. These will over-ride any saved configuration settings.

- `--version`

  Show the current `Multi Gnome Terminal` version information, then exit.

- `--usage`

  Show the this help information, plus various GNOME and GDK options, then exit.

- `--background `COLOR``

  Used to specify the background color for the terminal at startup. The `COLOR` can be any form accepted by your windowing system.

- `--tclass `CLASSNAME``

  Specifies the terminal class used to configure the terminal at start-up.

- `--class `WM_CLASS``

  Specify a Window class name for X (this is different than `--tclass` above).

- `--display `DISPLAY``

  Specify the X "display" to be used.

- `--command `CMD ARGS`, -e `CMD ARGS``

  Executes the command `CMD` with its arguments `ARGS` on startup. No arguments beyond this one will be processed by the terminal. This behavior mimics the `xterm -e` behavior.

- `--execute `CMD ARGS``

  Same as `--command` above, included for compatibility.

- `--font `FONT``

  Sets the font of the terminal to `FONT`

- `--foreground `COLOR``

  Sets the foreground of the terminal to `COLOR`.

- `--geometry `GEOMETRY``

  Specifies the startup geometry for this terminal. The geometry specifies the desired width and height in terminal characters. For example: `--geometry=80x40` will create an eighty-column by forty-line terminal. You can also specify the location of the terminal Window on the screen; for example, `--geometry=80x40+100+200` will create a Window whose top left corner is 100 pixels to the right and 200 pixels down from the top left corner of the screen, while `--geometry=80x40+100-200` will give a Window whose bottom left corner is 100 pixels to the right and 200 pixels up from the bottom left corner of the screen.

- `--login`

  Make `Multi Gnome Terminal` launch the built-in shell (from the New Term menu) in login mode (it will run all of your login initialization scripts in this mode).

- `--nologin`

  Make `Multi Gnome Terminal` only launch a shell, without running any login initialization scripts. This is the default, unless you have selected Use --login by default in the Preferences dialog.

- `--noutmp`

  Indicates that this and the associated shell should not be registered in the system database of users logged into the computer.

- `--utmp`

  Indicates that the user wants this terminal to be registered in the system database of users logged into the computer (the utmp database). This is the default.

- `--lastlog`

  Always create a `lastlog` entry for each terminal login.

- `--nolastlog`

  Do not create a `lastlog` entry for each terminal login.

- `--wtmp`

  Requests that this session will be logged into the system records for users that have logged into the system. This is different from `utmp' because this keeps track of who logged in and logged out of the system, independently of whether it shows up in the list of users.

- `--nowtmp`

  Requests that the session be not logged into the system records.

- `--title `TITLE`, -t `TITLE``

  Makes `Multi Gnome Terminal` use `TITLE` for the Window title.

- `--termname `TERMNAME``

  Makes `Multi Gnome Terminal` use `TERMNAME` as the value of the `TERM` environment variable. This is generally not needed, but is available for those who find they do need to change it.

- `--start-factory-server`

  Try to start the TerminalFactory service for this terminal (see below).

- `--use-factory`

  If there is already a terminal process started with `--start-factory-server` option, then running the command `multi-gnome-terminal --use-factory` will create a new terminal Window owned by the existing terminal process. In other words, it will have the same effect as choosing File->New Window in the existing terminal.

  If there is no TerminalFactory running, then this option has no effect.

- `--solid`

  Force a solid background color, i.e. turn off transparency or pixmap backgrounds.

- `--pixmap `FILENAME``

  Specifies the image filename to be used as the background for this terminal Window.

- `--bgscroll`

  Specifies that the background image should scroll together with the text as the screen scrolls.

- `--nobgscroll`

  Specifies that the background image should not scroll together with the text as the screen scrolls.

- `--shaded`

  Requests that the background be shaded (for use with `--transparent` and `--pixmap`).

- `--noshaded`

  Requests that the background remain untouched (no shading is applied).

- `--transparent`

  Requests that the terminal should run in "pseudo-transparent" mode, making the background of the terminal Window be the same as the background of your root Window. It is not truly transparent since other Windows will not be visible through the terminal Window.

- `--icon `FILENAME``

  Specifies the filename that contains the icon image that should be used for `Multi Gnome Terminal` when iconified (as long as your Window Manager supports icon hints).

- `--add-window`

  Launch a new Window from the parent Window, as a sub-process. This will automatically open one Tab. This can be combined with various other options listed below.

- `--newapp`

  Start a completely new `Multi Gnome Terminal` process from within the current `Multi Gnome Terminal` process. This too can be combined with the options listed below to alter the default start-up configuration.

- `--add-tab`

  Add a new Tab. `--add-tab` can be used to add a Tab to a new Window that is being created (see `--add-window`), and also to dynamically add a new Tab to the Window that invokes the command. Example:

        multi-gnome-terminal --add-tab

  Something fun to use with Keybindings. See example below for combining various command line options.

- `--tname `NAME``

  Use this `NAME` for the new Tab and shell being launched. If white space is included, use quotes.

- `--hsplit`

  Split the Tab or Window being created horizontally in equal parts.

- `--vsplit`

  Split the Tab or Window being created vertically in equal parts.

- `--tpath `PATH``

  Change to this `PATH` when starting the new Tab.

- `--tcommand `COMMAND``

  Use this `COMMAND` to launch the new shell. This can be used in conjunction with `--add-tab` to create a new Tab or with `--add-window`. Successive `--tcommand`'s can also be invoked so as to pass arguments to the first `--tcommand`. Or if white space is included, the command must be in quotes. The first word should be the command in this case, and any additional words, or characters separated by white space, would be arguments to the command. Example:

        multi-gnome-terminal --add-tab --tname="MGT Man Page" \
         --tcommand="man multi-gnome-terminal"

  This creates a new Tab with the `Multi Gnome Terminal` man page opened. Obviously, something more suited for a key binding shortcut. Remember, once the command exits, so does the Tab.

- `-x `COMMAND``

  As above, use this `COMMAND` to launch the new shell, but quoting is not required with this option.

- `--tnext`

  When creating split terminals, force the split to the next terminal being created. This is to aid in the positioning of terminals within the Window.

- `--tprev`

  When creating split terminals, force the split to the previous terminal being created.

You can use more than one option at once. Example:

      multi-gnome-terminal --transparent \
        --font -b&wh-lucidatypewriter-medium-r-normal-*-14-*-*-*-m-*-iso8859-1 \
        --add-window --tname="My Window" --tcommand=vi \
        --tpath=$HOME/multignometerm --tclass=Default --add-tab \
        --tname=MGT1 --hsplit --tname=MGT2 --vsplit --tname=MGT3 \
        --tcommand=mc &

This opens a new transparent Window and one Tab with `vi` running, and then adds another Tab (MGT1) which is split horizontally first, and then vertically, where `Midnight Commander` is then launched. Who says the command line is not useful? ;-)

Prev | Home | Next
Terminal classes |  | Environment